c       VERSION 1.0     12/17/88
c**********************************************************************
c
c        subroutine for doing the complex vector scaling and
c        swapping at the end of every Lanczos step.
c
c        written by DJS 11-Nov-86
c
c       Includes:
c               stddim.inc
c               rndoff.inc
c
c       Uses:
c
c**********************************************************************
c
      subroutine zscsw(x,y,scale,ndim)
c
      include 'stddim.inc'
      include 'rndoff.inc'
c
      integer ndim
      complex*16 scale
c
      complex*16 x,y
      dimension x(mxdim),y(mxdim)
c
      integer iel
      complex*16 scalex,scaley,tempc
c
c######################################################################
c
      scaley=1.0D0/scale
      scalex=-scale
c
      do 10 iel=1,ndim
        tempc=y(iel)
        y(iel)=scaley*x(iel)
        x(iel)=scalex*tempc
 10   continue
c
      return
      end
