c----------------------------------------------------------------------
c                    =========================
c                       common block INDEXF
c                    =========================
c
c  Common block containing a list of the basis set indices
c  for off-diagonal and diagonal subspace.
c
c----------------------------------------------------------------------
c
      integer jqe1,pi1,qi1,l1,jk1,k1,jm1,m1
      common /indexo/ jqe1(2*mxdim),pi1(2*mxdim),qi1(2*mxdim),
     #        l1(2*mxdim),jk1(2*mxdim),k1(2*mxdim),jm1(2*mxdim),
     #        m1(2*mxdim)
c
      integer djqe1,dpi1,dqi1,dl1,djk1,dk1,djm1,dm1
      common /indexd/ djqe1(2*mxdim),dpi1(2*mxdim),dqi1(2*mxdim),
     #        dl1(2*mxdim),djk1(2*mxdim),dk1(2*mxdim),djm1(2*mxdim),
     #        dm1(2*mxdim)
c
c----------------------------------------------------------------------
c                    =========================
c                       common block PULSEP
c                    =========================
c
c  Common block containining the pulse propagator
c
c  pp(i)  : the actual pulse propagator element for the i-th basis
c           element in the diagonal space.
c  pid(j) : the number of the corresponding basis elements in the
c           diagonal space for the j-th basis element in off-diagonal
c           basis.  It can be either 1 or 2.
c
c----------------------------------------------------------------------
c
      integer pid
      double precision pp
      common /pulsep/ pid(2*mxdim),pp(2*mxdim)
